/*
regex_katakana2hex.jsx
(c)2008 www.seuzo.jp
InDesign CS3でカタカナリテラルにマッチしないって「バカバグ」を回避します。
入力ダイアログにカタカナを含む文字を入力すると、正規表現検索ダイアログの検索フィールドに16進の文字列に変換してセットします。
どうか、これが一時的なバグで、次のドットリリースで修正されますように...　間違ってもバージョンをまたいでこのツールが必要になりませんように、神様！

●履歴
2008-06-02	ver.0.1	とりあえず。
*/

//ターゲットをInDesign CS3にする
#target "InDesign-5.0"

////////////////////////////////////////////エラー処理 
function myerror(mess) { 
  if (arguments.length > 0) { alert(mess); }
  exit();
}

////////////////////////////////////////////文字列を16進数にエスケープして、「\x{hex}」という形で返す。
function my_escape(str) {
tmp_str = escape(str);
return tmp_str.replace(/\%u([0-9A-F]+)/i, "\\x{$1}")
}

////////////////////////////////////////////実行
////////////////まずは選択しているもののチェック
if (app.documents.length == 0) {myerror("ドキュメントが開かれていません")}
var mydocument = app.activeDocument;

var find_str = prompt("カタカナを含む検索文字列を入力してください。","[ァ-ヴ]");
while (/([ァ-ヴ])/.exec(find_str)) {
	find_str = find_str.replace(/([ァ-ヴ])/, my_escape(RegExp.$1));
}
app.findGrepPreferences.findWhat = find_str;//検索文字の設定
